Package com.pixelmed.test

# Class TestStructuredReport_XMLRepresentation

java.lang.Object
junit.framework.Assert
junit.framework.TestCase
com.pixelmed.test.TestStructuredReport_XMLRepresentation

All Implemented Interfaces:
  `junit.framework.Test`

public class TestStructuredReport_XMLRepresentation extends junit.framework.TestCase

## Constructor Summary

Constructors
Constructor
Description
`TestStructuredReport_XMLRepresentation(String name)`

## Method Summary

Modifier and Type
Method
Description
`protected static AttributeList`
`getDefaultAttributeList()`
`static junit.framework.Test`
`suite()`
`protected void`
`tearDown()`
`void`
`testStructuredReport_XMLRepresentation_WithObservationDateTimeAndUID()`
`void`
`testStructuredReport_XMLRepresentation_WithReferences()`

### Methods inherited from class junit.framework.TestCase

`assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertFalse, assertFalse, assertNotNull, assertNotNull, assertNotSame, assertNotSame, assertNull, assertNull, assertSame, assertSame, assertTrue, assertTrue, countTestCases, createResult, fail, fail, failNotEquals, failNotSame, failSame, format, getName, run, run, runBare, runTest, setName, setUp, toString`

### Methods inherited from class java.lang.Object

`clone, equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### TestStructuredReport_XMLRepresentation

public TestStructuredReport_XMLRepresentation(String name)

## Method Details

### suite

public static junit.framework.Test suite()

### getDefaultAttributeList

protected static AttributeList getDefaultAttributeList() throws DicomException

Throws:
  `DicomException`

### tearDown

protected void tearDown()

Overrides:
  `tearDown` in class `junit.framework.TestCase`

### testStructuredReport_XMLRepresentation_WithReferences

public void testStructuredReport_XMLRepresentation_WithReferences() throws Exception

Throws:
  `Exception`

### testStructuredReport_XMLRepresentation_WithObservationDateTimeAndUID

public void testStructuredReport_XMLRepresentation_WithObservationDateTimeAndUID() throws Exception

Throws:
  `Exception`